﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace DmisLib.Calc
{
    public enum CELL_CONTENT
    {
        STRING,
        NUMBER,
        FORMULA
    }

    public interface IBibReport
    {
        void Open(String templateName);
        void Close();
        void SelectSheet(int sheetNumber);
        void SaveAsPdfDocument(String pdfName);
        void SaveAsExcelDocument(String excelName);
        void LocalCell(String cell, String content);
        void LocalCell(String cell, Double content);
        string LocalCell(String cell, CELL_CONTENT type);
    }
}
