﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace DmisLib.Utilities

{
    public class DmisDateTime
    {
        static public DateTime TimeStamp(String timeStamp)
        {
            if (timeStamp == "" | timeStamp == null)
            {
                return DateTime.Now;
            }

            DateTime dt = new DateTime();
            DateTime.TryParseExact(timeStamp, "yyMMddHHmmss", null, System.Globalization.DateTimeStyles.None, out dt); 

            return dt;
        }

        static public String TimeStamp(DateTime date)
        {
            String pattern = "yyMMddHHmmss";
            return date.ToString(pattern);
        }

    }
}
